## ros-noetic-phidgets-msgs 1.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
cmake_policy(SET CMP0048 NEW)
project(phidgets_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# High level of warnings:
if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra)
endif()

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)

add_message_files(
    DIRECTORY msg
    FILES
    EncoderDecimatedSpeed.msg
)

add_service_files(
    DIRECTORY srv
    FILES
    SetAnalogOutput.srv
    SetDigitalOutput.srv
)

generate_messages(
    DEPENDENCIES
    std_msgs
)

catkin_package(
    CATKIN_DEPENDS message_runtime std_msgs
)

=== debian/changelog ===
ros-noetic-phidgets-msgs (1.0.6-1buster) buster; urgency=high

  * Merge pull request #129 <https://github.com/ros-drivers/phidgets_drivers/issues/129> from mintar/feat-pre-commit
    Add pre-commit, move from travis to GitHub actions, fix style
  * Fix trailing whitespace
  * Don't modify CMAKE_CXX_FLAGS
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 30 Nov 2022 23:00:00 -0000

ros-noetic-phidgets-msgs (1.0.5-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 16 Feb 2022 23:00:00 -0000

ros-noetic-phidgets-msgs (1.0.4-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 21 Oct 2021 22:00:00 -0000

ros-noetic-phidgets-msgs (1.0.3-1buster) buster; urgency=high

  * Add Analog Outputs (#103 <https://github.com/ros-drivers/phidgets_drivers/issues/103>)
  * Contributors: Carsten Plasberg

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 28 Sep 2021 22:00:00 -0000

ros-noetic-phidgets-msgs (1.0.2-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 08 Mar 2021 23:00:00 -0000

ros-noetic-phidgets-msgs (1.0.1-1buster) buster; urgency=high

  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 03 Jun 2020 22:00:00 -0000

ros-noetic-phidgets-msgs (1.0.0-1buster) buster; urgency=high

  * Split custom messages into their own package.
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 02 Jun 2020 22:00:00 -0000

## ros-noetic-phidgets-msgs 1.0.7

=== debian/changelog ===
ros-noetic-phidgets-msgs (1.0.7-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 01 Mar 2023 23:00:00 -0000

ros-noetic-phidgets-msgs (1.0.6-1focal) focal; urgency=high

  * Merge pull request #129 <https://github.com/ros-drivers/phidgets_drivers/issues/129> from mintar/feat-pre-commit
    Add pre-commit, move from travis to GitHub actions, fix style
  * Fix trailing whitespace
  * Don't modify CMAKE_CXX_FLAGS
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 30 Nov 2022 23:00:00 -0000

ros-noetic-phidgets-msgs (1.0.5-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 16 Feb 2022 23:00:00 -0000

ros-noetic-phidgets-msgs (1.0.4-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 21 Oct 2021 22:00:00 -0000

ros-noetic-phidgets-msgs (1.0.3-1focal) focal; urgency=high

  * Add Analog Outputs (#103 <https://github.com/ros-drivers/phidgets_drivers/issues/103>)
  * Contributors: Carsten Plasberg

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 28 Sep 2021 22:00:00 -0000

ros-noetic-phidgets-msgs (1.0.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 08 Mar 2021 23:00:00 -0000

ros-noetic-phidgets-msgs (1.0.1-1focal) focal; urgency=high

  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 03 Jun 2020 22:00:00 -0000

ros-noetic-phidgets-msgs (1.0.0-1focal) focal; urgency=high

  * Split custom messages into their own package.
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 02 Jun 2020 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-phidgets-msgs
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-phidgets-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: Custom ROS messages for Phidgets drivers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-phidgets-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
